## i-cal-recur

i-cal-recur

## Functions

GArray * | i_cal_recur_expand_recurrence ()
ICalRecurrenceWeekday | i_cal_recurrence_weekday_from_string ()
const gchar * | i_cal_recurrence_weekday_to_string ()
ICalRecurrenceFrequency | i_cal_recurrence_frequency_from_string ()
const gchar * | i_cal_recurrence_frequency_to_string ()
ICalRecurrenceSkip | i_cal_recurrence_skip_from_string ()
const gchar * | i_cal_recurrence_skip_to_string ()

## Description

## Functions

### i_cal_recur_expand_recurrence ()

    GArray *
    i_cal_recur_expand_recurrence (const gchar *rule,
                                   time_t start,
                                   gint count);

Fills an array with the 'count' number of occurrences generated by the rrule. Note that the times are returned in UTC, but the times are calculated in local time. YOu will have to convert the results back into local time before using them.

#### Parameters

rule | The rule of the recurrence |
start | The start seconds past the POSIX epoch |
count | The number of elements to be filled up in the `array` |

#### Returns

If successful, return the array. NULL if failed.

[array][element-type time_t][transfer full]

Since: 1.0

### i_cal_recurrence_weekday_from_string ()

    ICalRecurrenceWeekday
    i_cal_recurrence_weekday_from_string (const gchar *str);

Converts a string representation to an enum representation for the weekday.

#### Parameters

str | The string representation of the weekday |

#### Returns

The enum representation of the weekday.

Since: 1.0

### i_cal_recurrence_weekday_to_string ()

    const gchar *
    i_cal_recurrence_weekday_to_string (ICalRecurrenceWeekday kind);

Converts a enum representation to a string representation for the weekday.

#### Parameters

kind | The frequency enum |

#### Returns

The string representation of weekday

Since: 2.0

### i_cal_recurrence_frequency_from_string ()

    ICalRecurrenceFrequency
    i_cal_recurrence_frequency_from_string
                                   (const gchar *str);

Converts a string representation to an enum representation for the frequency.

#### Parameters

str | The string representation of the frequency |

#### Returns

The enum representation of the frequency.

Since: 2.0

### i_cal_recurrence_frequency_to_string ()

    const gchar *
    i_cal_recurrence_frequency_to_string (ICalRecurrenceFrequency kind);

Converts a enum representation to a string representation for the frequency.

#### Parameters

kind | The frequency enum |

#### Returns

The string representation of frequency

Since: 2.0

### i_cal_recurrence_skip_from_string ()

    ICalRecurrenceSkip
    i_cal_recurrence_skip_from_string (const gchar *str);

Converts a string representation to an enum representation for the skip.

#### Parameters

str | The string representation of the skip |

#### Returns

The enum representation of the skip.

Since: 2.0

### i_cal_recurrence_skip_to_string ()

    const gchar *
    i_cal_recurrence_skip_to_string (ICalRecurrenceSkip kind);

Converts a enum representation to a string representation for the skip.

#### Parameters

kind | The frequency enum |

#### Returns

The string representation of skip

Since: 2.0